import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _MTRTargetNavigatorClusterTargetInfoStruct extends _NSObject {
    static alloc(): _MTRTargetNavigatorClusterTargetInfoStruct;
    static new(): _MTRTargetNavigatorClusterTargetInfoStruct;
    init(): _MTRTargetNavigatorClusterTargetInfoStruct;
    identifier(): _NSNumber;
    setIdentifier$(value: _NSNumber): void;
    name(): _NSString;
    setName$(value: _NSString): void;
}
export interface _MTRTargetNavigatorClusterTargetInfoStruct extends _NSCopying {
}
